Skip to main content
`Ctrl`+`K`

# MatFactorType

indicates what type of factorization is requested

## Synopsis

    typedef enum {
      MAT_FACTOR_NONE,
      MAT_FACTOR_LU,
      MAT_FACTOR_CHOLESKY,
      MAT_FACTOR_ILU,
      MAT_FACTOR_ICC,
      MAT_FACTOR_ILUDT,
      MAT_FACTOR_QR,
      MAT_FACTOR_NUM_TYPES
    } MatFactorType;

## Values

- `MAT_FACTOR_LU` - LU factorization

- `MAT_FACTOR_CHOLESKY` - Cholesky factorization

- `MAT_FACTOR_ILU` - ILU factorization

- `MAT_FACTOR_ICC` - incomplete Cholesky factorization

- `MAT_FACTOR_ILUDT` - ILU factorization with drop tolerance

- `MAT_FACTOR_QR` - QR factorization

## See Also

Matrices, `MatSolverType`, `MatGetFactor()`, `MatGetFactorAvailable()`, `MatSolverTypeRegister()`

## Level

beginner

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages